import * as THREE from 'three';
import Editor from '../index';

class EditorScene {
  public readonly scene;
  #Editor: Editor;

  constructor(editor: Editor) {
    const scene = (this.scene = this.#setScene());

    this.#Editor = editor;
  }

  public init() {
    console.log('Scene init');
  }

  #setScene() {
    const scene = new THREE.Scene();
    scene.background = new THREE.Color('#373737');

    return scene;
  }
}

export default EditorScene;
